[JIRA] (OVIRT-867) Re: [oVirt Jenkins] repos_3.6_check-closure_el7_merged - Build # 92 - Still Failing!
by Evgheni Dereveanchin (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-867?page=com.atlassian.jira... ]
Evgheni Dereveanchin reassigned OVIRT-867:
------------------------------------------
Assignee: Evgheni Dereveanchin (was: infra)
> Re: [oVirt Jenkins] repos_3.6_check-closure_el7_merged - Build # 92 - Still Failing!
> ------------------------------------------------------------------------------------
>
> Key: OVIRT-867
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-867
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: sbonazzo
> Assignee: Evgheni Dereveanchin
>
> *00:01:53.955* Can't download or revert repomd.xml for
> check-epel-el7*00:01:53.955* Some dependencies may not be complete for
> this repository*00:01:53.956* Run as root to get all dependencies or
> use -t to enable a user temp cache
> Can you check? looks like it's not possible to update local cache of metadata.
> On Fri, Nov 25, 2016 at 1:07 PM, <jenkins(a)jenkins.phx.ovirt.org> wrote:
> > Project: http://jenkins.ovirt.org/job/repos_3.6_check-closure_el7_merged/
> > Build: http://jenkins.ovirt.org/job/repos_3.6_check-closure_el7_merged/92/
> > Build Number: 92
> > Build Status: Still Failing
> > Triggered By: Started by user Sandro Bonazzola
> >
> > -------------------------------------
> > Changes Since Last Success:
> > -------------------------------------
> > Changes for Build #89
> > [Eyal Edri] deploy ovirt-engine-cli 3.6 to 4.0 and master repos as well
> >
> > [Yedidyah Bar David] master_upgrade_from_master: Upgrade to self instead
> > of snapshot
> >
> >
> > Changes for Build #90
> > No changes
> >
> > Changes for Build #91
> > No changes
> >
> > Changes for Build #92
> > No changes
> >
> >
> >
> > -----------------
> > Failed Tests:
> > -----------------
> > No tests ran.
> >
> >
> > _______________________________________________
> > Infra mailing list
> > Infra(a)ovirt.org
> > http://lists.ovirt.org/mailman/listinfo/infra
> >
> >
> --
> Sandro Bonazzola
> Better technology. Faster innovation. Powered by community collaboration.
> See how it works at redhat.com
--
This message was sent by Atlassian JIRA
(v1000.571.2#100021)
8 years
Build failed in Jenkins: ovirt_3.6_he-system-tests #726
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/726/changes>
Changes:
[Eyal Edri] adding missing python-simplejson to epel repo
------------------------------------------
[...truncated 669 lines...]
## took 383 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log entries: logs/mocker-epel-7-x86_64.el7.he_basic_suite_3.6.sh/he_basic_suite_3.6.sh.log
##!
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
+ exit
Took 234 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson4348854621409241755.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/726/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/726/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/726/artifact/expor...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
for log in "${logs[@]}"
do
echo "Copying ${log} to exported-artifacts"
mv $log exported-artifacts/
done
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
# Drop all left over libvirt domains
for UUID in $(virsh list --all --uuid); do
virsh destroy $UUID || :
sleep 2
virsh undefine --remove-all-storage --storage vda --snapshots-metadata $UUID || :
done
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson3096197047870703775.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ for log in '"${logs[@]}"'
+ echo 'Copying ./ovirt-system-tests/logs to exported-artifacts'
Copying ./ovirt-system-tests/logs to exported-artifacts
+ mv ./ovirt-system-tests/logs exported-artifacts/
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-epel-7-x86_64.el7.cfg
+ mock_root=mocker-epel-7-x86_64.el7
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-epel-7-x86_64.el7'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-tests> --root=mocker-epel-7-x86_64.el7 --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te....> Using default...
INFO: mock.py version 1.2.21 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...>
+ mock_root=epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
++ virsh list --all --uuid
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
Archiving artifacts
8 years
Re: [JIRA] (OVIRT-874) Move github project to gerrit
by Eyal Edri
this might work for small or independent projects, not for something that
is integrated with ovirt like user portal.
we don't have Gerrit hooks for github and many of existing ci flows are
available only for Gerrit.
we can consider testing the github plugin for Gerrit to see if its possible
to get pull requests into Gerrit from githib, but its not high priority
for now and will need to wait for checking.
On Nov 28, 2016 12:02, "eyal edri [Administrator] (oVirt JIRA)" <
jira(a)ovirt-jira.atlassian.net> wrote:
[ https://ovirt-jira.atlassian.net/browse/OVIRT-874?page=com.
atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]
eyal edri [Administrator] reassigned OVIRT-874:
-----------------------------------------------
Assignee: Shlomo Ben David (was: infra)
Can you please help with this ?
Lets make sure adding a new project has the new permisisons for all
projects we have and its mirrored to GitHub
> Move github project to gerrit
> -----------------------------
>
> Key: OVIRT-874
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-874
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Marek Libra
> Assignee: Shlomo Ben David
>
> Hi,
> please move following github project
> https://github.com/mareklibra/userportal
> to gerrit as 'ovirt-web-ui' project.
> Please keep git history.
> What is needed for automatic read-only syncing the gerrit back to the
github?
> Thanks,
> Marek
--
This message was sent by Atlassian JIRA
(v1000.571.2#100021)
_______________________________________________
Infra mailing list
Infra(a)ovirt.org
http://lists.ovirt.org/mailman/listinfo/infra
8 years
[JIRA] (OVIRT-712) Use repoman extra sources feature in VDSM check merge
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-712?page=com.atlassian.jira... ]
eyal edri [Administrator] reassigned OVIRT-712:
-----------------------------------------------
Assignee: Nadav Goldin (was: infra)
Nadav, I think this is what you're doing now on the check-merged job right?
> Use repoman extra sources feature in VDSM check merge
> ------------------------------------------------------
>
> Key: OVIRT-712
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-712
> Project: oVirt - virtualization made easy
> Issue Type: New Feature
> Reporter: Gal Ben Haim
> Assignee: Nadav Goldin
>
> When running check merge, new rpms with the latest patch are being generated.
> currently those repos are being copied by reposync to /var/lib/lago/reposync.
> Those rpms shouldn't be saved to the cache, thus we need to use repoman to include those rpms in the internal repo.
--
This message was sent by Atlassian JIRA
(v1000.571.2#100021)
8 years
[JIRA] (OVIRT-95) [jenkins] add job to run upgrade vdsm from version X to version Y
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-95?page=com.atlassian.jira.... ]
eyal edri [Administrator] commented on OVIRT-95:
------------------------------------------------
we'll implement this as part of #OVIRT-567,
as second step for upgrading hypervisors after engine upgrade.
> [jenkins] add job to run upgrade vdsm from version X to version Y
> -----------------------------------------------------------------
>
> Key: OVIRT-95
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-95
> Project: oVirt - virtualization made easy
> Issue Type: Task
> Components: Jenkins
> Affects Versions: Test
> Reporter: eyal edri [Administrator]
> Assignee: infra
> Priority: Lowest
> Labels: infra,vdsm,jenkins
>
> vdsm upgrade should be tested. (following on bug that was found).
> suggested flow:
> 1. install vdsm version X (e.g from 3.2)
> 2. build latest vdsm version (3.3 or master)
> 3. yum update vdsm
> 4. check if service is up and running.
--
This message was sent by Atlassian JIRA
(v1000.571.2#100021)
8 years
[JIRA] (OVIRT-95) [jenkins] add job to run upgrade vdsm from version X to version Y
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-95?page=com.atlassian.jira.... ]
eyal edri [Administrator] updated OVIRT-95:
-------------------------------------------
Resolution: Duplicate
Status: Done (was: To Do)
> [jenkins] add job to run upgrade vdsm from version X to version Y
> -----------------------------------------------------------------
>
> Key: OVIRT-95
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-95
> Project: oVirt - virtualization made easy
> Issue Type: Task
> Components: Jenkins
> Affects Versions: Test
> Reporter: eyal edri [Administrator]
> Assignee: infra
> Priority: Lowest
> Labels: infra,vdsm,jenkins
>
> vdsm upgrade should be tested. (following on bug that was found).
> suggested flow:
> 1. install vdsm version X (e.g from 3.2)
> 2. build latest vdsm version (3.3 or master)
> 3. yum update vdsm
> 4. check if service is up and running.
--
This message was sent by Atlassian JIRA
(v1000.571.2#100021)
8 years